import Cookies from 'js-cookie'

const TokenKey = 'System-Platform-Token'

const ExpiresInKey = 'System-Platform-Expires-In'

const SchoolTokenKey = 'System-Platform-School-Token';

const CollegeTokenKey = 'System-Platform-College-Token';


export function setSchoolToken(token) {
  return Cookies.set(SchoolTokenKey, token)
}

export function setCollegeToken(token) {
  return Cookies.set(CollegeTokenKey, token)
}


export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
